## Character Map Character Map — Character map widget |

## Functions

GtkWidget * | unicode_character_map_new ()
void | unicode_character_map_set_active_cell ()
void | unicode_character_map_set_codepoint_list ()
void | unicode_character_map_set_font_desc ()
void | unicode_character_map_set_preview_size ()
double | unicode_character_map_get_preview_size ()
gint | unicode_character_map_get_active_cell ()
PangoFontDescription * | unicode_character_map_get_font_desc ()
UnicodeCodepointList * | unicode_character_map_get_codepoint_list ()

## Properties

gint | active-cell | Read / Write
UnicodeCodepointList * | codepoint-list | Read / Write
PangoFontDescription * | font-desc | Read / Write
gdouble | preview-size | Read / Write

## Signals

void | activate | Action
void | copy-clipboard | Action
gboolean | move-cursor | Action
void | status-message | Run First

## Types and Values

#define | UNICODE_TYPE_CHARACTER_MAP
struct | UnicodeCharacterMapClass
| UnicodeCharacterMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── UnicodeCharacterMap

## Implemented Interfaces

UnicodeCharacterMap implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Includes

    #include <unicode-character-map.h>

## Description

Widget which displays all the available characters in the selected font.

## Functions

### unicode_character_map_new ()

    GtkWidget *
    unicode_character_map_new (void);

#### Returns

A newly created UnicodeCharacterMap. Free the returned object using ``g_object_unref()``.

[transfer full]

### unicode_character_map_set_active_cell ()

    void
    unicode_character_map_set_active_cell (UnicodeCharacterMap *charmap,
                                           gint cell);

#### Parameters

charmap | a UnicodeCharacterMap |
cell | cell to select |

### unicode_character_map_set_codepoint_list ()

    void
    unicode_character_map_set_codepoint_list
                                   (UnicodeCharacterMap *charmap,
                                    UnicodeCodepointList *codepoint_list);

Sets the codepoint list to show in the character table.

#### Parameters

charmap | a UnicodeCharacterMap |
codepoint_list | a UnicodeCodepointList. | [nullable]

### unicode_character_map_set_font_desc ()

    void
    unicode_character_map_set_font_desc (UnicodeCharacterMap *charmap,
                                         PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

#### Parameters

charmap | a UnicodeCharacterMap |
font_desc | a PangoFontDescription. | [transfer none]

### unicode_character_map_set_preview_size ()

    void
    unicode_character_map_set_preview_size
                                   (UnicodeCharacterMap *charmap,
                                    gdouble size);

Sets the preview size to `size` .

#### Parameters

charmap | a UnicodeCharacterMap |
size | new preview size |

### unicode_character_map_get_preview_size ()

    double
    unicode_character_map_get_preview_size
                                   (UnicodeCharacterMap *charmap);

#### Parameters

charmap | a UnicodeCharacterMap |

#### Returns

The current preview size

### unicode_character_map_get_active_cell ()

    gint
    unicode_character_map_get_active_cell (UnicodeCharacterMap *charmap);

#### Parameters

charmap | a UnicodeCharacterMap |

#### Returns

The currently selected cell

### unicode_character_map_get_font_desc ()

    PangoFontDescription *
    unicode_character_map_get_font_desc (UnicodeCharacterMap *charmap);

#### Parameters

charmap | a UnicodeCharacterMap |

#### Returns

The PangoFontDescription used to display the character table. The returned object is owned by `charmap` and must not be modified or freed.

[transfer none][nullable]

### unicode_character_map_get_codepoint_list ()

    UnicodeCodepointList *
    unicode_character_map_get_codepoint_list
                                   (UnicodeCharacterMap *charmap);

#### Parameters

charmap | a UnicodeCharacterMap |

#### Returns

The current UnicodeCodepointList.

[transfer none][nullable]

## Types and Values

### UNICODE_TYPE_CHARACTER_MAP

    #define UNICODE_TYPE_CHARACTER_MAP (unicode_character_map_get_type())

### struct UnicodeCharacterMapClass

    struct UnicodeCharacterMapClass {
        GtkDrawingAreaClass parent_class;

        void    (* activate)                (UnicodeCharacterMap *charmap);
        void    (* copy_clipboard)          (UnicodeCharacterMap *charmap);
        void    (* set_active_cell)         (UnicodeCharacterMap *charmap, gint cell);
        void    (* status_message)          (UnicodeCharacterMap *charmap, const gchar *message);
        void    (* set_scroll_adjustments)  (UnicodeCharacterMap *charmap,
                                              GtkAdjustment *hadjustment,
                                              GtkAdjustment *vadjustment);
        gboolean    (* move_cursor)         (UnicodeCharacterMap *charmap,
                                              GtkMovementStep step,
                                              gint count);
    };

#### Members

`activate` () | called when a cell is activated |
`copy_clipboard` () | called when copy to clipboard is requested |
`set_active_cell` () |  |
`status_message` () | called with search results on data drops |
`set_scroll_adjustments` () | use to override scroll adjustments |
`move_cursor` () | use to override cursor events |

### UnicodeCharacterMap

    typedef struct _UnicodeCharacterMap UnicodeCharacterMap;

## Property Details

### The `“active-cell”` property

      “active-cell”              gint

Active cell in character map.

Owner: UnicodeCharacterMap

Flags: Read / Write

Default value: 0

### The `“codepoint-list”` property

      “codepoint-list”           UnicodeCodepointList *

UnicodeCodepointList.

Owner: UnicodeCharacterMap

Flags: Read / Write

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

PangoFontDescription.

Owner: UnicodeCharacterMap

Flags: Read / Write

### The `“preview-size”` property

      “preview-size”             gdouble

Preview size.

Owner: UnicodeCharacterMap

Flags: Read / Write

Allowed values: [6,96]

Default value: 14

## Signal Details

### The `“activate”` signal

    void
    user_function (UnicodeCharacterMap *unicodecharactermap,
                   gpointer             user_data)

Flags: Action

### The `“copy-clipboard”` signal

    void
    user_function (UnicodeCharacterMap *unicodecharactermap,
                   gpointer             user_data)

Flags: Action

### The `“move-cursor”` signal

    gboolean
    user_function (UnicodeCharacterMap *unicodecharactermap,
                   GtkMovementStep      arg1,
                   gint                 arg2,
                   gpointer             user_data)

Flags: Action

### The `“status-message”` signal

    void
    user_function (UnicodeCharacterMap *unicodecharactermap,
                   gchar               *arg1,
                   gpointer             user_data)

Flags: Run First